=== debian/control ===
--- 
+++ 
@@ -6,21 +6,20 @@
 Build-Depends: debhelper (>> 7.0.50~),
  po-debconf (>= 0.5.0),
  dpkg-dev (>= 1.10),
- python-all-dev (>= 2.6.6-6~),
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+ python-all-dev (>= 2.6.6-6~)
+Standards-Version: 3.9.1
 Homepage: http://www.linuxfoundation.org/collaborate/workgroups/lsb
 Vcs-Git: git://anonscm.debian.org/collab-maint/lsb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lsb.git
 
 Package: lsb-core
 Architecture: any
-Depends: lsb-release (>= ${source:Version}),
+Depends: lsb-release,
  ${glibc},
  libz1,
  libncurses5,
  libpam0g,
- lsb-invalid-mta (>= ${source:Version}) | mail-transport-agent,
+ lsb-invalid-mta | mail-transport-agent,
  at,
  bc,
  binutils,
@@ -50,8 +49,7 @@
  ${python:Depends},
  ${misc:Depends},
  ${depends},
- lsb-base (>= ${source:Version}),
- lsb-security (>= ${source:Version}),
+ lsb-base,
  time
 Provides: lsb-core-noarch, ${provides}
 Description: Linux Standard Base 4.1 core support package
@@ -73,7 +71,7 @@
 
 Package: lsb-graphics
 Architecture: any
-Depends: lsb-core (>= ${source:Version}),
+Depends: lsb-core,
  libgl1-mesa-glx | libgl1,
  libglu1-mesa | libglu1,
  libx11-6 | xlibs,
@@ -98,7 +96,7 @@
 
 Package: lsb-cxx
 Architecture: any
-Depends: lsb-core (>= ${source:Version}),
+Depends: lsb-core,
  libstdc++6,
  ${misc:Depends}
 Provides: lsb-cxx-noarch,
@@ -122,17 +120,17 @@
 
 Package: lsb-desktop
 Architecture: any
-Depends: lsb-graphics (>= ${source:Version}),
- lsb-multimedia (>= ${source:Version}),
+Depends: lsb-graphics,
  fontconfig (>= 2.6.0),
  libfontconfig1 (>= 2.6.0),
  libpng12-0,
- libjpeg62-turbo,
+ libjpeg62,
  libglib2.0-0 (>= 2.12.13),
  libatk1.0-0 (>= 1.10.3),
  libpango1.0-0 (>= 1.10.4),
  libgtk2.0-0 (>= 2.10.14),
  libcairo2 (>= 1.2.0),
+ libqt3-mt (>= 3.3.6),
  libqtcore4,
  libqtgui4,
  libqt4-xml,
@@ -147,10 +145,9 @@
  libxtst6,
  libxft2,
  xdg-utils,
- libnss3,
+ libnss3-1d,
  ${misc:Depends}
 # libqt4-sql-sqlite is Not strictly needed by LSB, but the tests want a valid database handler
-Recommends: libqt3-mt (>= 3:3.3.6)
 Provides: lsb-desktop-noarch, lsb-qt4, lsb-qt4-noarch, ${provides}
 Description: Linux Standard Base 4.1 Desktop support package
  The Linux Standard Base (http://www.linuxbase.org/) is a standard
@@ -171,12 +168,10 @@
 
 Package: lsb-languages
 Architecture: any
-Depends: lsb-core (>= ${source:Version}),
+Depends: lsb-core (>= 4.1~),
  python (>= 2.4),
  perl (>= 5.8.8),
  perl (<< 6),
-# Already deprecated in LSB4.1, but still required.
- libpod-plainer-perl,
  ${misc:Depends}
 Provides: lsb-languages-noarch, ${provides}
 Description: Linux Standard Base 4.1 Runtime Languages package
@@ -198,7 +193,7 @@
 
 Package: lsb-multimedia
 Architecture: any
-Depends: lsb-core (>= ${source:Version}),
+Depends: lsb-core (>= 4.1~),
  libasound2,
  ${misc:Depends}
 Provides: lsb-multimedia-noarch,
@@ -222,12 +217,12 @@
 
 Package: lsb-printing
 Architecture: any
-Depends: lsb-core (>= ${source:Version}),
+Depends: lsb-core (>= 4.1~),
  libcups2,
  libcupsimage2,
  foomatic-filters,
  ghostscript,
- cups-filters (>= 1.0.36) | ghostscript-cups,
+ ghostscript-cups,
  ${misc:Depends}
 Provides: lsb-printing-noarch, ${provides}
 Description: Linux Standard Base 4.1 Printing package
@@ -249,10 +244,10 @@
 
 Package: lsb-security
 Architecture: any
-Depends: libnss3,
- libnspr4,
- ${misc:Depends}
-Recommends: lsb-core (>= ${source:Version}),
+Depends: lsb-core (>= 4.1~),
+ libnss3-1d,
+ libnspr4-0d,
+ ${misc:Depends}
 Provides: lsb-security-noarch,
  ${provides}
 Description: Linux Standard Base 4.1 Security package
@@ -274,13 +269,14 @@
 
 Package: lsb
 Architecture: all
-Depends: lsb-core (>= ${source:Version}),
- lsb-graphics (>= ${source:Version}),
- lsb-cxx (>= ${source:Version}),
- lsb-desktop (>= ${source:Version}),
- lsb-printing (>= ${source:Version}),
- lsb-languages (>= ${source:Version}),
- ${misc:Depends}
+Depends: lsb-core,
+ lsb-graphics,
+ lsb-cxx,
+ lsb-desktop,
+ lsb-printing,
+ ${misc:Depends}
+Suggests: lsb-multimedia,
+ lsb-languages
 Description: Linux Standard Base 4.1 support package
  The Linux Standard Base (http://www.linuxbase.org/) is a standard
  core system that third-party applications written for Linux can
@@ -302,7 +298,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Priority: required
 Description: Linux Standard Base 4.1 init script functionality
  The Linux Standard Base (http://www.linuxbase.org/) is a standard
@@ -315,7 +310,6 @@
 
 Package: lsb-release
 Architecture: all
-Priority: optional
 Multi-Arch: foreign
 Depends: ${python:Depends},
  ${misc:Depends}
@@ -327,3 +321,19 @@
  depend upon.
  .
  The lsb-release command is a simple tool to help identify the Linux
+ distribution being used and its compliance with the Linux Standard Base.
+ LSB conformance will not be reported unless the required metapackages are
+ installed.
+ .
+ While it is intended for use by LSB packages, this command may also
+ be useful for programmatically distinguishing between a pure Debian
+ installation and derived distributions.
+
+Package: lsb-invalid-mta
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: lsb
+Provides: mail-transport-agent
+Conflicts: mail-transport-agent
+Description: Linux Standard Base sendmail dummy
+ The Linux Standard Base (http://www.linuxbase.org/) is a standard
