## lsb 4.1+Debian0~exp1

=== debian/changelog ===
lsb (4.1+Debian0~exp1) experimental; urgency=low

  * Merge the lsb 3.2+Debian31 Debian release.
  * Tighten dependencies between lsb-* packages.
  * In killproc(), re-add a '--retry 5' to s-s-d when no signal is
    specified. (Closes: #650584)

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Mar 2012 17:34:53 +0100
