## lsb 4.1+Debian0~exp2

=== debian/changelog ===
lsb (4.1+Debian0~exp2) experimental; urgency=low

   * lsb-base.README.Debian: Document status_of_proc. (Closes: #565631)
   * Tighten more dependencies between lsb packages.
   * Update package relationships to match LSB 4.1:
     - Add lsb-security to lsb-core Depends.
     - Add lsb-multimedia to lsb-desktop Depends.
     - Add libpod-plainer-perl to lsb-languages depends.
   * Rewrite debian/copyright using the copyright-format 1.0.
   * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 15 Mar 2012 11:02:19 +0100
