=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
  po-debconf (>= 0.5.0),
  dpkg-dev (>= 1.10),
  python-all-dev (>= 2.6.6-6~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://www.linuxfoundation.org/collaborate/workgroups/lsb
 Vcs-Git: git://anonscm.debian.org/collab-maint/lsb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lsb.git
 
 Package: lsb-core
 Architecture: any
-Depends: lsb-release,
+Depends: lsb-release (>= ${source:Version}),
  ${glibc},
  libz1,
  libncurses5,
  libpam0g,
- lsb-invalid-mta | mail-transport-agent,
+ lsb-invalid-mta (>= ${source:Version}) | mail-transport-agent,
  at,
  bc,
  binutils,
@@ -50,6 +50,7 @@
  ${misc:Depends},
  ${depends},
  lsb-base (>= ${source:Version}),
+ lsb-security (>= ${source:Version}),
  time
 Provides: lsb-core-noarch, ${provides}
 Description: Linux Standard Base 4.1 core support package
@@ -121,6 +122,7 @@
 Package: lsb-desktop
 Architecture: any
 Depends: lsb-graphics (>= ${source:Version}),
+ lsb-multimedia (>= ${source:Version}),
  fontconfig (>= 2.6.0),
  libfontconfig1 (>= 2.6.0),
  libpng12-0,
@@ -172,6 +174,8 @@
  python (>= 2.4),
  perl (>= 5.8.8),
  perl (<< 6),
+# Already deprecated in LSB4.1, but still required.
+ libpod-plainer-perl,
  ${misc:Depends}
 Provides: lsb-languages-noarch, ${provides}
 Description: Linux Standard Base 4.1 Runtime Languages package
@@ -244,10 +248,10 @@
 
 Package: lsb-security
 Architecture: any
-Depends: lsb-core (>= ${source:Version}),
- libnss3-1d,
+Depends: libnss3-1d,
  libnspr4-0d,
  ${misc:Depends}
+Recommends: lsb-core (>= ${source:Version}),
 Provides: lsb-security-noarch,
  ${provides}
 Description: Linux Standard Base 4.1 Security package
@@ -323,7 +327,3 @@
  .
  The lsb-release command is a simple tool to help identify the Linux
  distribution being used and its compliance with the Linux Standard Base.
- LSB conformance will not be reported unless the required metapackages are
- installed.
- .
- While it is intended for use by LSB packages, this command may also
