## lsb 4.1+Debian8+deb7u1

=== debian/changelog ===
lsb (4.1+Debian8+deb7u1) stable; urgency=low

  * Fix lsb_release to correctly work with stable release updates
    incrementing the second digit from Wheezy on. (Closes: #711174)
  * Add jessie to the release codenames lookup table

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Jun 2013 12:38:11 +0200

lsb (4.1+Debian8) unstable; urgency=low

  * Fix libqt3-mt missing epoch.
  * Hide the stderr output of $(initctl version) in init_is_upstart.
    (Closes: #682032)

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Nov 2012 12:03:33 +0100

lsb (4.1+Debian7) unstable; urgency=low

  * lsb-desktop: Demote Qt3 dependency to a Recommends. Closes: #604360
    - Add a README.Debian to lsb-desktop to document the possibility to
      install Qt3 from snapshot.debian.org;
    - Add a NEWS.Debian to lsb-desktop to document the derogation to the
      LSB 4.1 specification.

  * Accept utf-8 in `apt-cache policy` and `dpkg-query` outputs; add
    test-case. (Closes: #675618)

 -- Didier Raboud <odyx@debian.org>  Sun, 10 Jun 2012 23:18:07 +0200

lsb (4.1+Debian6) unstable; urgency=low

  * Revert "Allow FANCYTTY to be sourced from /etc/default/rcS." This
    avoids one ugly `set +u` in the $() subshell and avoids the hijack
    of /etc/default/rcS. (Reopens: #673207, Closes: #675162, #675197)

 -- Didier Raboud <odyx@debian.org>  Wed, 30 May 2012 19:27:22 +0200

lsb (4.1+Debian5) unstable; urgency=low

  * lsb-base; init-functions:
    - Correct comment about hooks.
    - Enhance doc about files sourced from init-functions
    - Allow FANCYTTY to be sourced from /etc/default/rcS. (Closes: #673207)
    - Safe-guard calls to echo with `|| true`; this helps towards making
      sure init.d scripts called with `set -e` continue to work, see
      #661002.

  * lsb-release; python code:
    - In guess_debian_release(), avoid calling guess_release_from_apt()
      and hence the slow `apt-cache policy` if a codename is already
      provided. Patch by Francois Gouget. (Closes: #674143)
    - Add unittests for all lsb_release.py functions.
    - Upgrade to python3-compatible syntax.
    - Deprecate the lsb_release.compare_releases() function.

  * lsb-invalid-mta;
    -  Add the /usr/lib/sendmail symlink to /usr/sbin/sendmail.
       (LP: #580914)

 -- Didier Raboud <odyx@debian.org>  Tue, 29 May 2012 09:33:04 +0200

lsb (4.1+Debian4) unstable; urgency=low

  * In init-functions, include hooks from /lib/lsb/init-functions.d
    - Source any file in there.
    - Document that in lsb-base.README.
    - Put the Ubuntu logging functions in there; remove the now-obsolete
      configuration file with dpkg-maintscript-helper.
    - Move the "Fancy output left info blocks" in there.

  * Python code: Add an initial (but incomplete) unittest framework for python
    2.7 and 3.2.

  * Properly document the first version with init_is_upstart.
  * Avoid writing the now useless lsb-qt4.substvars file.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 May 2012 22:06:07 +0200

lsb (4.1+Debian3) unstable; urgency=low

  [ Didier Raboud ]
  * Compress the orig source tarball with bzip2.
  * Update LSB and packages versions in README.Debian.
  * Fix typo in lsb-invalid-mta's Description.
  * Drop empty directory in lsb-base.
    Instead of moving lsb-base-logging.sh to /etc/lsb/, drop the empty /etc/lsb.
    (Closes: #671730)

  [ Steve Langasek ]
  * Add a new helper function: init_is_upstart().
    init_is_upstart() is to be used by init scripts of upstart-aware packages to
    render the init script inert when upstart is present.
    Signed-off-by: Didier Raboud <odyx@debian.org> (Closes: #661109)

 -- Didier Raboud <odyx@debian.org>  Mon, 07 May 2012 19:21:36 +0200

lsb (4.1+Debian2) unstable; urgency=low

  * Fancy output:
    - Avoid two superfluous calls to /bin/echo.
    - Make the cursor invisible when printing the status block.
  * Make sure OPTIND is marked local for each use. (Closes: #669909)

 -- Didier Raboud <odyx@debian.org>  Tue, 24 Apr 2012 21:33:39 +0200

lsb (4.1+Debian1) unstable; urgency=low

  * lsb-base: Upload the new "Fancy output" to unstable:
    - Move information from NEWS.Debian to README.Debian, enhance it.

  * pidofproc(): Make sure to try /bin/pidof when no pidfile is
    specified. (Closes: #668958)
  * In killproc(), make sure to exit 0 when the program is not running
    and when no signal was specified. (Closes: #668416)

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Apr 2012 11:25:01 +0200

lsb (4.1+Debian0+fancy1) experimental; urgency=low

  * Fancy output: prepend [info] blocks to log_action_msg calls.

 -- Didier Raboud <odyx@debian.org>  Thu, 12 Apr 2012 21:20:09 +0200

lsb (4.1+Debian0+fancy0) experimental; urgency=low

  * Make the init.d scripts messages fancier by prepending them a [....]
    block that becomes [ ok ], [warn] or [FAIL] depending on the daemons
    exit statuses (Closes: #416485).
    - Update lsb-base' README.Debian and NEWS.

 -- Didier Raboud <odyx@debian.org>  Sat, 31 Mar 2012 18:49:23 +0200

lsb (4.1+Debian0) unstable; urgency=low

  * Upload LSB 4.1 support to unstable.
  * Add lsb-languages to lsb Depends.
  * Drop lsb suggests, obsoleted by dependencies changes.
  * Make init-functions' status_of_proc return the LSB-documented 3 on
    inexistant pidfiles. (Closes: #664621)

 -- Didier Raboud <odyx@debian.org>  Mon, 26 Mar 2012 22:54:40 +0200
