=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends: debhelper (>> 7.0.50~),
  po-debconf (>= 0.5.0),
  dpkg-dev (>= 1.10),
- python-all-dev (>= 2.6.6-6~)
+ python-all-dev (>= 2.6.6-6~),
+X-Python-Version: >= 2.6
 Standards-Version: 3.9.3
 Homepage: http://www.linuxfoundation.org/collaborate/workgroups/lsb
 Vcs-Git: git://anonscm.debian.org/collab-maint/lsb.git
@@ -132,7 +133,6 @@
  libpango1.0-0 (>= 1.10.4),
  libgtk2.0-0 (>= 2.10.14),
  libcairo2 (>= 1.2.0),
- libqt3-mt (>= 3.3.6),
  libqtcore4,
  libqtgui4,
  libqt4-xml,
@@ -150,6 +150,7 @@
  libnss3-1d,
  ${misc:Depends}
 # libqt4-sql-sqlite is Not strictly needed by LSB, but the tests want a valid database handler
+Recommends: libqt3-mt (>= 3:3.3.6)
 Provides: lsb-desktop-noarch, lsb-qt4, lsb-qt4-noarch, ${provides}
 Description: Linux Standard Base 4.1 Desktop support package
  The Linux Standard Base (http://www.linuxbase.org/) is a standard
@@ -278,9 +279,8 @@
  lsb-cxx (>= ${source:Version}),
  lsb-desktop (>= ${source:Version}),
  lsb-printing (>= ${source:Version}),
- ${misc:Depends}
-Suggests: lsb-multimedia (>= ${source:Version}),
- lsb-languages (>= ${source:Version})
+ lsb-languages (>= ${source:Version}),
+ ${misc:Depends}
 Description: Linux Standard Base 4.1 support package
  The Linux Standard Base (http://www.linuxbase.org/) is a standard
  core system that third-party applications written for Linux can
@@ -302,6 +302,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Priority: required
 Description: Linux Standard Base 4.1 init script functionality
  The Linux Standard Base (http://www.linuxbase.org/) is a standard
@@ -326,4 +327,3 @@
  depend upon.
  .
  The lsb-release command is a simple tool to help identify the Linux
- distribution being used and its compliance with the Linux Standard Base.
