=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
+
+PY2VERSIONS=$(shell pyversions -vr)
+PY3VERSIONS=$(shell [ -x /usr/bin/py3versions ] && py3versions -vr)
 
 %:
 	dh --with python2 $@
@@ -43,6 +46,16 @@
 override_dh_clean:
 	dh_clean
 	rm -f *.py[co]
+	rm -f debian/lsb-base.maintscript
+
+override_dh_auto_test: $(PY2VERSIONS:%=test-python%) $(PY3VERSIONS:%=test-python%)
+
+test-python2.6:
+	# Tests are not backported to python2.6, sorry.
+
+test-python%:
+	PATH=test/:$${PATH} PYTHONPATH=. python$* test/test_lsb_release.py -vv
+	PYTHONPATH=. python$* test/test_initdutils.py -vv
 
 override_dh_python2:
 	dh_python2
@@ -51,7 +64,11 @@
 override_dh_install:
 	dh_install
 ifeq ($(derives_from_ubuntu),yes)
-	cp -p lsb-base-logging-ubuntu.sh debian/lsb-base/etc/lsb-base-logging.sh
+	cp -p init-functions.d/50-ubuntu-logging debian/lsb-base/lib/lsb/init-functions.d/
+
+override_dh_installdeb:
+	cp debian/lsb-base.maintscript.Ubuntu debian/lsb-base.maintscript
+	dh_installdeb
 endif
 
 override_dh_gencontrol:
@@ -61,7 +78,6 @@
 	@echo >> debian/lsb-cxx.substvars "provides=lsb-cxx-${lsbarch}"
 	@echo >> debian/lsb-graphics.substvars "provides=lsb-graphics-${lsbarch}"
 	@echo >> debian/lsb-desktop.substvars "provides=lsb-qt4-${lsbarch}, lsb-desktop-${lsbarch}"
-	@echo >> debian/lsb-qt4.substvars "provides=lsb-qt4-${lsbarch}"
 	@echo >> debian/lsb-multimedia.substvars "provides=lsb-multimedia-${lsbarch}"
 	@echo >> debian/lsb-languages.substvars "provides=lsb-languages-${lsbarch}"
 	@echo >> debian/lsb-printing.substvars "provides=lsb-printing-${lsbarch}"
