## lsb 4.1+Debian11ubuntu6

=== debian/changelog ===
lsb (4.1+Debian11ubuntu6) trusty; urgency=medium

  * Don't hardcode pyshared in the install files.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 17:06:48 +0100

lsb (4.1+Debian11ubuntu5) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:48:36 +0000

lsb (4.1+Debian11ubuntu4) saucy; urgency=low

  * Allow lsb-printing to depend on cups-filters | ghostscript-cups.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 09 Sep 2013 10:17:15 -0400

lsb (4.1+Debian11ubuntu3) saucy; urgency=low

  * Use open() rather than file() in initdutils.py, for Python 3
    compatibility (see LP #1035136).
  * Test fileob and strob against None in RFC822Parser.__init__ rather than
    testing their truth value, to avoid a misleading error in the case of a
    file with no LSB headers.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Jul 2013 12:36:13 +0100

lsb (4.1+Debian11ubuntu2) saucy; urgency=low

  * Only run the tests under python3, correcting a build failure due to
    mismatched test expectations.
  * test/test_lsb_release.py: also, make lsb_release ignore dpkg origins
    for the test, otherwise the test fails on Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 19 May 2013 05:52:09 +0000

lsb (4.1+Debian11ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Mark lsb-core Multi-Arch: foreign.
    - Use python3 instead of python2.
    - Fix status_of_proc returning incorrect error code; and when a pidfile
      is specified, return "unknown" if it exists but isn't readable (as
      would be the case for non-root with a root-only pidfile), and return
      "not running" if the pidfile otherwise doesn't provide a useful PID.
      This issue may also be fixed now in the Debian version, but someone
      needs to compare the differing implementations to verify before this
      delta can be dropped.
    - Prefer mailx (main) over mailutils (universe)
    - Depend directly on libnss3 and libnspr4 rather than via the
      transitional packages libnss3-1d and libnspr4-0d.
  * Changes included in Debian:
    - lsb_release: Add -Es to #! line for Python.
    - Correct duplicate reference to log_action_end_msg_post in
      debian/lsb-base.README.Debian.
    - Fix debian/copyright to list the correct Canonical copyright for the
      Ubuntu logging functions.
    - Revert use of /bin/echo for echo-n.
    - Port initdutils.py to python3 so that the tests will pass at build
      time.
    - Fix build failure when only building architecture-dependent packages
      on Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 18 May 2013 20:54:45 -0700

lsb (4.1+Debian11) unstable; urgency=low

  [ Steve Langasek ]
  * add -Es to the lsb_release python shebang, as discussed in
    <https://lists.debian.org/debian-python/2012/10/msg00021.html>.
  * Fix debian/copyright to list the correct Canonical copyright for the
    Ubuntu logging functions.
  * Correct duplicate reference to log_action_end_msg_post in
    debian/lsb-base.README.Debian.
  * debian/rules: fix the build on Ubuntu derivatives when building only the
    arch-dependent packages.

  [ Didier Raboud ]
  * Add jessie to the release codenames lookup table
  * Get Distributor ID from /etc/dpkg/origins/default if existant
    (Closes: #703677)
  * Bump Standards-Version to 3.9.4 without changes needed
  * Correct lsb-desktop.NEWS syntax errors

 -- Didier Raboud <odyx@debian.org>  Wed, 15 May 2013 22:15:05 +0200

lsb (4.1+Debian10) unstable; urgency=low

  [ Steve Langasek ]
  * Fix the remaining problems of initdutils.py python3 compatibility
    (Closes: #673586)
  * Revert unnecessary use of /bin/echo -n (Closes: #708337)

  [ Didier Raboud ]
  * Compress source with xz

 -- Didier Raboud <odyx@debian.org>  Wed, 15 May 2013 11:06:44 +0200

lsb (4.1+Debian9ubuntu4) saucy; urgency=low

  * Depend directly on libnss3 and libnspr4 rather than via the transitional
    packages libnss3-1d and libnspr4-0d.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 May 2013 14:48:45 +0100

lsb (4.1+Debian9ubuntu3) saucy; urgency=low

  * Prefer mailx over mailutils; this apparently was a deliberate (but
    undocumented) delta in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 May 2013 17:49:45 +0000

lsb (4.1+Debian9ubuntu2) saucy; urgency=low

  * Fix build failure when only building architecture-dependent packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 May 2013 04:22:58 -0500

lsb (4.1+Debian9ubuntu1) saucy; urgency=low

  * Merge from Debian unstable:
    - lsb-desktop no longer depends on transitional libqt4-gui.  LP: #339501.
    - lsb-invalid-mta includes /usr/lib/sendmail as a symlink.  LP: #580914.
    - fixes a typo in the package description.  LP: #1177473.
  * Remaining changes:
    - Mark lsb-core Multi-Arch: foreign.
    - Use python3 instead of python2.
    - Fix status_of_proc returning incorrect error code; and when a pidfile
      is specified, return "unknown" if it exists but isn't readable (as
      would be the case for non-root with a root-only pidfile), and return
      "not running" if the pidfile otherwise doesn't provide a useful PID.
      This issue may also be fixed now in the Debian version, but someone
      needs to compare the differing implementations to verify before this
      delta can be dropped.
    - Correct duplicate reference to log_action_end_msg_post in
      debian/lsb-base.README.Debian.
    - lsb_release: Add -Es to #! line for Python.
  * Dropped changes, included in Debian:
    - Mark lsb-release and lsb-base Multi-Arch: foreign.
    - Drop Qt3 from lsb-desktop depends and add lsb-desktop.NEWS to explain
      its absence
    - Depend on libgl1-mesa-glx rather than libgl1-mesa as preferred libgl1
      alternative.
    - Use dpkg --print-architecture rather than
      --print-installation-architecture.

