=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: lsb
 Section: misc
 Priority: extra
-Maintainer: Debian LSB Team <debian-lsb@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LSB Team <debian-lsb@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>, Jeff Licquia <licquia@debian.org>
 Build-Depends: debhelper (>> 7.0.50~),
  po-debconf (>= 0.5.0),
  dpkg-dev (>= 1.10),
  python-all-dev (>= 2.6.6-6~),
+ python3-all-dev
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.linuxfoundation.org/collaborate/workgroups/lsb
 Vcs-Git: git://anonscm.debian.org/collab-maint/lsb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lsb.git
 
 Package: lsb-core
 Architecture: any
+Multi-Arch: foreign
 Depends: lsb-release (>= ${source:Version}),
  ${glibc},
  libz1,
@@ -35,7 +38,7 @@
  cups-bsd | lpr,
  lprng | cups-client,
  m4,
- mailutils | mailx,
+ mailx | mailutils,
  make,
  man-db,
  mawk | gawk,
@@ -47,7 +50,8 @@
  psmisc,
  rsync,
  alien (>= 8.36),
- ${python:Depends},
+ python3,
+ ${python3:Depends},
  ${misc:Depends},
  ${depends},
  lsb-base (>= ${source:Version}),
@@ -147,7 +151,7 @@
  libxtst6,
  libxft2,
  xdg-utils,
- libnss3-1d,
+ libnss3,
  ${misc:Depends}
 # libqt4-sql-sqlite is Not strictly needed by LSB, but the tests want a valid database handler
 Recommends: libqt3-mt (>= 3:3.3.6)
@@ -227,7 +231,7 @@
  libcupsimage2,
  foomatic-filters,
  ghostscript,
- ghostscript-cups,
+ cups-filters (>= 1.0.36) | ghostscript-cups,
  ${misc:Depends}
 Provides: lsb-printing-noarch, ${provides}
 Description: Linux Standard Base 4.1 Printing package
@@ -249,8 +253,8 @@
 
 Package: lsb-security
 Architecture: any
-Depends: libnss3-1d,
- libnspr4-0d,
+Depends: libnss3,
+ libnspr4,
  ${misc:Depends}
 Recommends: lsb-core (>= ${source:Version}),
 Provides: lsb-security-noarch,
@@ -317,13 +321,9 @@
 Architecture: all
 Priority: optional
 Multi-Arch: foreign
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
  ${misc:Depends}
 Recommends: apt
 Suggests: lsb
 Description: Linux Standard Base version reporting utility
  The Linux Standard Base (http://www.linuxbase.org/) is a standard
- core system that third-party applications written for Linux can
- depend upon.
- .
- The lsb-release command is a simple tool to help identify the Linux
