=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PY3VERSIONS=$(shell [ -x /usr/bin/py3versions ] && py3versions -vr)
 
 %:
-	dh --with python2 $@
+	dh --with python2,python3 $@
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -22,6 +22,8 @@
 ifeq (${lsbarch}, powerpc)
 lsbarch=ppc32
 endif
+
+twotothree = 2to3-$(shell py3versions -dv)
 
 LIBC=libc6 (>> 2.3.5)
 ifeq (${lsbarch}, amd64)
@@ -48,10 +50,7 @@
 	rm -f *.py[co]
 	rm -f debian/lsb-base.maintscript
 
-override_dh_auto_test: $(PY2VERSIONS:%=test-python%) $(PY3VERSIONS:%=test-python%)
-
-test-python2.6:
-	# Tests are not backported to python2.6, sorry.
+override_dh_auto_test: $(PY3VERSIONS:%=test-python%)
 
 test-python%:
 	PATH=test/:$${PATH} PYTHONPATH=. python$* test/test_lsb_release.py -vv
@@ -59,12 +58,30 @@
 
 override_dh_python2:
 	dh_python2
-	dh_python2 /usr/lib/lsb
 
 override_dh_install:
 	dh_install
+
+	$(twotothree) -n -w debian/lsb-core/usr/lib/lsb/*
+	mkdir -p debian/lsb-release/usr/lib/python3/dist-packages
+	cp -p lsb_release.py debian/lsb-release/usr/lib/python3/dist-packages
+
+	: # make python scripts starting with '#!' executable
+	for i in `find debian/lsb-core/usr/lib/lsb debian/lsb-release/usr/bin debian/lsb-release/usr/share/python3/dist-packages -type f`; do \
+	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python3\1,' \
+		$$i > $$i.temp; \
+	  if cmp --quiet $$i $$i.temp; then \
+	    rm -f $$i.temp; \
+	  else \
+	    mv -f $$i.temp $$i; \
+	    chmod 755 $$i; \
+	    echo "fixed interpreter: $$i"; \
+	  fi; \
+	done
 ifeq ($(derives_from_ubuntu),yes)
+ifneq (,$(findstring lsb-base, $(shell dh_listpackages)))
 	cp -p init-functions.d/50-ubuntu-logging debian/lsb-base/lib/lsb/init-functions.d/
+endif
 
 override_dh_installdeb:
 	cp debian/lsb-base.maintscript.Ubuntu debian/lsb-base.maintscript
