## lsb 4.1+Debian11ubuntu6mint1

=== debian/changelog ===
lsb (4.1+Debian11ubuntu6mint1) qiana; urgency=medium

  * Implement upstream support: https://github.com/jolicloud/lsb/commit/fde07bfec0935784e5caa6cd6a2ff5f81c3d0ad4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 May 2014 17:51:47 +0100
